Fetch a specific document using its ID (v2)

Purpose: Use this API to fetch a specific document. You must enter the ID of the document that you are fetching. Refer to the Path Parameters section for more info.

Response Parameters

document

  • Type: Object
  • Description: Contains details of the document.

id

  • Type: Integer
  • Description: The unique identifier for the document.

category

  • Type: String
  • Description: The category of the document, e.g., "notes_only".

ref_no

  • Type: String
  • Description: The reference number associated with the document.

notes

  • Type: String or null
  • Description: Notes associated with the document.

doc_date

  • Type: Date (YYYY-MM-DD)
  • Description: The date associated with the document.

doc_fields

  • Type: Object
  • Description: The fields associated with the document.

notes

  • Type: String
  • Description: Notes content in the document fields.

doc_time

  • Type: DateTime (ISO 8601)
  • Description: This denotes the date and time when a user completed or filled out a document.
    NOTE
    : This parameter captures the date and time of when a user takes an action on the document (complete/fill). This parameter does NOT capture the date and time of when a DB record is created.

uploader

  • Type: Object
  • Description: The user who uploaded the document.

id

  • Type: Integer
  • Description: The unique identifier for the user who uploaded the document.

first_name

  • Type: String
  • Description: The first name of the user who uploaded the document.

last_name

  • Type: String
  • Description: The last name of the user who uploaded the document.

email

  • Type: String
  • Description: The email address of the user who uploaded the document.

role

  • Type: String
  • Description: The role of the user who uploaded the document, e.g., "dispatcher".

deactivated_at

  • Type: DateTime (ISO 8601) or null
  • Description: The timestamp when the uploader was deactivated.

driver_company_id

  • Type: Integer or null
  • Description: The unique identifier for the driver's company.

attachments

  • Type: Array of Objects
  • Description: A list of attachments associated with the document.

id

  • Type: Integer
  • Description: The unique identifier for the attachment.

name

  • Type: String
  • Description: The name of the attachment.

public_url

  • Type: String
  • Description: The public URL of the attachment.

doc_type

  • Type: String
  • Description: The type of the document, e.g., "jpeg".

offline_id

  • Type: String
  • Description: The offline identifier for the attachment.

field_docs

  • Type: String or null
  • Description: Any additional documents fields, if applicable.

created_at

  • Type: DateTime (ISO 8601)
  • Description: The timestamp when the document was created.

updated_at

  • Type: DateTime (ISO 8601)
  • Description: The timestamp when the document was last updated.

Path Params
int32
required

Specify the ID of the document that you want to fetch.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json